/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Electrophysiology Measurement Functions And Techniques
 */
public enum EnumCM_ElectrophysiologyMeasurementFunctionsAndTechniques 
{
	//CID 3240 Electrophysiology Measurement Functions And Techniques
	DIFFERENTIAL_SIGNAL("Differential signal"),
	HIS_BUNDLE_ELECTROGRAM("His bundle electrogram"),
	MONOPOLE_SIGNAL("Monopole signal"),
	PACING_ELECTRICAL_STIMULUS_VOLTAGE("Pacing (electrical) stimulus, voltage"),
	RADIO_FREQUENCY_ABLATION_POWER("Radio frequency ablation, power"),
	VOLTAGE_MEASUREMENT_BY_BASKET_CATHETER("Voltage measurement by basket catheter"),
	VOLTAGE_MEASUREMENT_BY_MAPPING_CATHETER("Voltage measurement by mapping catheter"),
	VOLTAGE_MEASUREMENT_NOS("Voltage measurement, NOS");
	

	private String value;
	
	EnumCM_ElectrophysiologyMeasurementFunctionsAndTechniques(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
